> For the complete documentation index, see [llms.txt](https://docs.skeddly.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.skeddly.com/resources/users/modifyuser-method.md).

# ModifyUser Method

## Description

Modifies an existing user.

## HTTP Request

`PUT https://api.skeddly.com/api/Users/{id}`

## URL Parameters

### id

ID of the user to modify.

Type: `string`

Required: Yes

## Body

The body is a JSON structure with the following properties. Only the values that are being modified are required.

### emailAddress

Email address for the new user. It must not already be used by another user.

Type: `string`

Required: No

### status

Updated status of the user.

Type: `string`

Valid Values:

* `enabled`
* `disabled`

Required: No

## Returns

A [User](/data-types/user-object.md) object.

## Sample Request

{% tabs %}
{% tab title="HTTP" %}

```http
PUT /api/Users/u-00000001 HTTP/1.1
Host: api.skeddly.com
Authorization: AccessKey <api key>
Content-Type: application/json

{
    "emailAddress": "user@example.com",
    "status": "disabled"
}
```

{% endtab %}

{% tab title="Bash" %}

```bash
curl -X PUT "https://api.skeddly.com/api/Users/u-00000001" \
  -H "Authorization: AccessKey <api key>" \
  -d emailAddress="user@example.com" \
  -d status=disabled
```

{% endtab %}
{% endtabs %}

## Sample Response

```javascript
{
    "emailAddress": "user@example.com",
    "lastAccessDate": "2016-06-09T11:00:00Z",
    "mfaType": "none",
    "status": "disabled",
    "userId": "u-00000001",
    "username": "user1"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/resources/users/modifyuser-method.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
